Summary:	XprintUtil library
Summary(pl.UTF-8):	Biblioteka XprintUtil
Name:		xorg-lib-libXprintUtil
Version:	1.0.1
Release:	7
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXprintUtil-%{version}.tar.bz2
# Source0-md5:	22584f1aab1deba253949b562d1f0f45
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XprintUtil library.

%description -l pl.UTF-8
Biblioteka XprintUtil.

%package devel
Summary:	Header files for libXprintUtil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXprintUtil
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXp-devel
Requires:	xorg-lib-libXt-devel

%description devel
XprintUtil library.

This package contains the header files needed to develop programs that
use libXprintUtil.

%description devel -l pl.UTF-8
Biblioteka XprintUtil.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXprintUtil.

%package static
Summary:	Static libXprintUtil library
Summary(pl.UTF-8):	Biblioteka statyczna libXprintUtil
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XprintUtil library.

This package contains the static libXprintUtil library.

%description static -l pl.UTF-8
Biblioteka XprintUtil.

Pakiet zawiera statyczną bibliotekę libXprintUtil.

%prep
%setup -q -n libXprintUtil-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libXprintUtil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXprintUtil.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXprintUtil.so
%{_libdir}/libXprintUtil.la
%dir %{_includedir}/X11/XprintUtil
%{_includedir}/X11/XprintUtil/*.h
%{_pkgconfigdir}/xprintutil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXprintUtil.a
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXprintUtil.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 5cff2a4
- x32 rebuild
- release 7 (by relup.sh)

* Thu Jan 16 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b31a2fa
- ghost soname symlink

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8627332
- dropped pre-cvs changelog

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 041a423
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c7005ea
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c8ecd1c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a67ad50
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 574b9c1
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0070e58
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> db68c1a
- use individual dir, release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> e9af64b
- 1.0.1 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 3861b7c
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c1e1b0
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> ddc77d2
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> faf1720
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 4d25ef5
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 2f89e47
- oops, restored libXt deps (xprintutil.h uses <X11/Intrisic.h>)
- own /usr/include/X11/XprintUtil dir

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 3aab30c
- 0.99.1 (X11R7.0-RC1)
- removed unused libXt deps

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> fb5442d
- kill /usr/X11R6

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> de67a28
- cleanups, ported back to Linux

